Linux iad1-shared-b7-18 6.6.49-grsec-jammy+ #10 SMP Thu Sep 12 23:23:08 UTC 2024 x86_64
Apache
: 67.205.6.31 | : 216.73.216.20
Cant Read [ /etc/named.conf ]
8.2.29
fernandoquevedo
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
README
+ Create Folder
+ Create File
/
usr /
share /
perl5 /
Mail /
Transport /
[ HOME SHELL ]
Name
Size
Permission
Action
Exim.pm
1.61
KB
-rw-r--r--
Exim.pod
6.17
KB
-rw-r--r--
Mailx.pm
2.52
KB
-rw-r--r--
Mailx.pod
7.07
KB
-rw-r--r--
Qmail.pm
1.32
KB
-rw-r--r--
Qmail.pod
6
KB
-rw-r--r--
Receive.pm
615
B
-rw-r--r--
Receive.pod
4.61
KB
-rw-r--r--
SMTP.pm
4.79
KB
-rw-r--r--
SMTP.pod
9.39
KB
-rw-r--r--
Send.pm
2.73
KB
-rw-r--r--
Send.pod
8.88
KB
-rw-r--r--
Sendmail.pm
1.59
KB
-rw-r--r--
Sendmail.pod
7.14
KB
-rw-r--r--
Delete
Unzip
Zip
${this.title}
Close
Code Editor : Mailx.pm
# Copyrights 2001-2020 by [Mark Overmeer]. # For other contributors see ChangeLog. # See the manual pages for details on the licensing terms. # Pod stripped from pm file by OODoc 2.02. # This code is part of distribution Mail-Transport. Meta-POD processed with # OODoc into POD and HTML manual-pages. See README.md # Copyright Mark Overmeer. Licensed under the same terms as Perl itself. package Mail::Transport::Mailx; use vars '$VERSION'; $VERSION = '3.005'; use base 'Mail::Transport::Send'; use strict; use warnings; use Carp; sub init($) { my ($self, $args) = @_; $args->{via} = 'mailx'; $self->SUPER::init($args) or return; $self->{MTM_program} = $args->{proxy} || $self->findBinary('mailx') || $self->findBinary('Mail') || $self->findBinary('mail') || return; $self->{MTM_style} = defined $args->{style} ? $args->{style} : $^O =~ m/linux|freebsd|bsdos|netbsd|openbsd/ ? 'BSD' : 'RFC822'; $self; } #------------------------------------------ sub _try_send_bsdish($$) { my ($self, $message, $args) = @_; my @options = ('-s' => $message->subject); { local $" = ','; my @cc = map {$_->format} $message->cc; push @options, ('-c' => "@cc") if @cc; my @bcc = map {$_->format} $message->bcc; push @options, ('-b' => "@bcc") if @bcc; } my @to = map {$_->format} $message->to; my $program = $self->{MTM_program}; if((open MAILER, '|-')==0) { close STDOUT; { exec $program, @options, @to } $self->log(NOTICE => "Cannot start contact to $program: $!"); exit 1; } $self->putContent($message, \*MAILER, body_only => 1); my $msgid = $message->messageId; if(close MAILER) { $self->log(PROGRESS => "Message $msgid send.") } else { $self->log(ERROR => "Sending via mailx mailer $program failed: $! ($?)"); return 0; } 1; } sub trySend($@) { my ($self, $message, %args) = @_; return $self->_try_send_bsdish($message, \%args) if $self->{MTM_style} eq 'BSD'; my $program = $self->{MTM_program}; unless(open MAILER, '|-', $program, '-t') { $self->log(NOTICE => "Cannot start contact to $program: $!"); return 0; } $self->putContent($message, \*MAILER); unless(close MAILER) { $self->log(ERROR => "Sending via mailx mailer $program failed: $! ($?)"); return 0; } 1; } #------------------------------------------ 1;
Close